# Uses of Class
net.shibboleth.idp.plugin.authn.webauthn.context.WebAuthnRegistrationInformationContext

Packages that use WebAuthnRegistrationInformationContext
Package
Description
net.shibboleth.idp.plugin.authn.webauthn.context
Context APIs for WebAuthn.
net.shibboleth.idp.plugin.authn.webauthn.context.navigate
Context navigation APIs for WebAuthn.

## Uses of WebAuthnRegistrationInformationContext in net.shibboleth.idp.plugin.authn.webauthn.context

Methods in net.shibboleth.idp.plugin.authn.webauthn.context that return WebAuthnRegistrationInformationContext
Modifier and Type
Method
Description
`WebAuthnRegistrationInformationContext`
WebAuthnRegistrationInformationContext.`addClassifiedMessage(String msg)`
Adds a classified message to the context, ensuring that it will be returned from `getClassifiedMessages()` until another is added.

## Uses of WebAuthnRegistrationInformationContext in net.shibboleth.idp.plugin.authn.webauthn.context.navigate

Fields in net.shibboleth.idp.plugin.authn.webauthn.context.navigate with type parameters of type WebAuthnRegistrationInformationContext
Modifier and Type
Field
Description
`private Function<ProfileRequestContext,WebAuthnRegistrationInformationContext>`
RegistrationInfoMessageLookupFunction.`webauthnInfoContextLookupStrategy`
Lookup strategy to locate the WebAuthn registration information context.
Method parameters in net.shibboleth.idp.plugin.authn.webauthn.context.navigate with type arguments of type WebAuthnRegistrationInformationContext
Modifier and Type
Method
Description
`void`
RegistrationInfoMessageLookupFunction.`setWebauthnInfoContextLookupStrategy(Function<ProfileRequestContext,WebAuthnRegistrationInformationContext> strategy)`
Set the strategy used to lookup the `WebAuthnRegistrationInformationContext`.